Bug 574974 - RFE: Add option of pasting key into textarea
RFE: Add option of pasting key into textarea
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.8
All Linux
low Severity low
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
: FutureFeature, Patch
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2010-03-18 21:15 EDT by Colin Coe
Modified: 2014-08-01 07:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-31 09:48:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Coe 2010-03-18 21:15:07 EDT
Currently, the only way to add GPG/SSL keys on the 'Create GPG/SSL Key' page is to browse to a file location.

For the most part, I'm forced to use a Windows client to administer Spacewalk via a browser so I need to copy the GPG/SSL key file to the Windows host and the browse to the location.

I'd like to have the option of pasting the keys content directly into a textarea tag.
Comment 1 Jan Pazdziora 2010-10-27 04:32:05 EDT
Mass-aligning under space12, so that we don't lose track of this bugzilla. This however does not mean that we plan (will be able to) address this bug in Spacewalk 1.2.
Comment 2 Jan Pazdziora 2010-11-19 11:02:29 EST
Mass-moving to space13.
Comment 3 Miroslav Suchý 2011-04-11 03:31:00 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Miroslav Suchý 2011-04-11 03:36:15 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 5 Jan Pazdziora 2011-07-20 07:48:26 EDT
Aligning under space16.
Comment 6 Tomas Lestach 2011-09-30 09:55:21 EDT
Heya Colin,
I know this is a WebUI RFE.
I'd recommend to use kickstart.keys.create API.
Comment 7 Dimitar Yordanov 2014-06-04 08:58:35 EDT
Fix SW: https://github.com/spacewalkproject/spacewalk/pull/98
Comment 8 Dimitar Yordanov 2014-07-31 09:37:07 EDT
Resolved by SW: dd1a2d896e6109d5385919c84dee81c19194a31c
Comment 9 Dimitar Yordanov 2014-07-31 09:48:18 EDT
This RFE was release as part of Spacewalk 2.2
Comment 10 Tomas Lestach 2014-07-31 10:14:48 EDT
Add Comment#8 - I cannot find commit dd1a2d89.
Don't you mean
https://github.com/spacewalkproject/spacewalk/commit/17921bf74d37a49c0195f3509c8b772ef9dd9cc7
?
Comment 11 Dimitar Yordanov 2014-07-31 11:23:45 EDT
Yes, the correct commit is SW:17921bf74d37a49c0195f3509c8b772ef9dd9cc7
Thank you.

Note You need to log in before you can comment on or make changes to this bug.